/* eslint-disable max-len */
import React from "react";
import PropTypes from "prop-types";
import Typography from "../Typography";
import Currency from "../Currency";
import getClasses from "./styles";

var PromoCard = function PromoCard(props) {
  var classes = getClasses();
  var promoQuantity = props.promoQuantity,
      promoCurrency = props.promoCurrency,
      promoText = props.promoText;
  return /*#__PURE__*/React.createElement("div", {
    className: classes.root
  }, /*#__PURE__*/React.createElement("div", {
    className: classes.card
  }, /*#__PURE__*/React.createElement("div", {
    className: classes.header
  }, /*#__PURE__*/React.createElement(Typography, {
    variant: "f1-16",
    color: "white"
  }, "Google Ads")), /*#__PURE__*/React.createElement("div", {
    className: classes.content
  }, /*#__PURE__*/React.createElement(Typography, {
    variant: "f2-28",
    color: "primary",
    weight: "bold"
  }, /*#__PURE__*/React.createElement(Currency, {
    quantity: promoQuantity,
    currency: promoCurrency
  })), /*#__PURE__*/React.createElement(Typography, {
    variant: "f2-12",
    shade: 900
  }, promoText))));
};

PromoCard.propTypes = {
  promoQuantity: PropTypes.number.isRequired,
  promoCurrency: PropTypes.string.isRequired,
  promoText: PropTypes.string.isRequired
};
export default PromoCard;